import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import '@/permission' // 路由守卫
import 'normalize.css/normalize.css'// A modern alternative to CSS resets
import '@/styles/index.scss'// 全局 css
import '@/styles/myIcon.scss'// 阿里巴巴图标
import 'mapbox-gl/dist/mapbox-gl.css'

// ElementUI
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import 'element-ui/lib/theme-chalk/base.css'// fade/zoom 等
import locale from 'element-ui/lib/locale/lang/zh-CN' // 引入中文语言包
Vue.use(ElementUI, { locale })

// 设置vue创建时 提示信息  false不提示
Vue.config.productionTip = true

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
